Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.http
Interface HttpSessionCookieHelper

All Known Implementing Classes:
  HttpSessionCookieHelperImpl

public interface HttpSessionCookieHelper

Defines a set of HttpSessionCookie services.

Application developers may implement this interface in order to support custom cookie requirements.

See Also:
  `HttpSessionCookie`

Method Summary
`java.lang.String` | `encodeURL(java.lang.String url, SessionCookie[] cookies)` Encode the specified url with the specified HttpSessionCookies.
`java.lang.String` | `generateSessionId(javax.servlet.http.HttpServletRequest request)` Return a unique identifier for this session.
`java.lang.String` | `generateSessionId(javax.servlet.http.HttpSession session)`
`java.lang.String` | `readCookieValue(javax.servlet.http.Cookie[] cookies, java.lang.String applicationName)`
`java.lang.String` | `readCookieValue(javax.servlet.http.HttpServletRequest request, java.lang.String applicationName)` Read the session id from the HttpServletRequest.
`void` | `writeCookieValue(javax.servlet.http.HttpServletResponse response, SessionCookie sessionCookie)` Write the session id to the HttpServletResponse.
`void` | `writeCookieValue(javax.servlet.http.HttpServletResponse response, java.lang.String applicationName, java.lang.String cookieValue)` Deprecated. use `writeCookieValue(HttpServletResponse, SessionCookie)` instead. Deprecated since 10.1.2. writeCookieValue requires some additional SessionCookie context.

Method Detail

### readCookieValue

    public java.lang.String readCookieValue(javax.servlet.http.HttpServletRequest request,
                                            java.lang.String applicationName)

  Read the session id from the HttpServletRequest. By default this method uses Http cookies to store the unique session identifier for a stateful application module.
  Parameters:
    `applicationName` - the name of the application that has session state

### readCookieValue

    public java.lang.String readCookieValue(javax.servlet.http.Cookie[] cookies,
                                            java.lang.String applicationName)

### writeCookieValue

    public void writeCookieValue(javax.servlet.http.HttpServletResponse response,
                                 java.lang.String applicationName,
                                 java.lang.String cookieValue)

  Deprecated. use `writeCookieValue(HttpServletResponse, SessionCookie)` instead. Deprecated since 10.1.2. writeCookieValue requires some additional SessionCookie context.
  Write the session id to the HttpServletResponse. By default this method uses Http cookies to store a unique session identifier for a stateful application module.
  Parameters:
    `applicationName` - the name of the application that has session state

### writeCookieValue

    public void writeCookieValue(javax.servlet.http.HttpServletResponse response,
                                 SessionCookie sessionCookie)

  Write the session id to the HttpServletResponse. By default this method uses Http cookies to store a unique session identifier for a stateful application module.
  Parameters:
    `sessionCookie` - the BC4J SessionCookie that is to be written.

### generateSessionId

    public java.lang.String generateSessionId(javax.servlet.http.HttpServletRequest request)

  Return a unique identifier for this session. The session identifer will be used by the application pool to identify client sessions and to activate application state from previous requests.

  The session identifier should be unique across virtual machines for each application client. Conflicting session identifiers may result in one application client reading and changing the application state of another application client.

  The session identifer should also be consistent across requests for each client. If a given application client requests all generate different session identifiers the application pool will not be able to track the application state for that application client between those requests and will treat each individual request as having originated from a different application client.

  The default implementation is using the client IP address to generate session identifiers. Application developers may override this implementation to use a different technique to generate session identifiers.

### generateSessionId

    public java.lang.String generateSessionId(javax.servlet.http.HttpSession session)

### encodeURL

    public java.lang.String encodeURL(java.lang.String url,
                                      SessionCookie[] cookies)

  Encode the specified url with the specified HttpSessionCookies. The session cookies will be read from the URL if a browser cookie is not when the application HttpSessionCookie is re-instantiated.

  This method should be invoked from `HttpContainer.encodeURL(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.